summaryrefslogtreecommitdiff
path: root/boil.sh
diff options
context:
space:
mode:
Diffstat (limited to 'boil.sh')
-rw-r--r--boil.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/boil.sh b/boil.sh
new file mode 100644
index 0000000..3eade60
--- /dev/null
+++ b/boil.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+for i in ./boil/tests/*.java; do
+ [ -f "$i" ] || break
+ n=${i%.java}
+ javac -g $i
+
+ expected=$(java -cp ./boil/tests/ ${n##*/})
+
+ java J2V < $i > test.vapor
+ actual=$(java -jar vapor.jar run test.vapor)
+
+ echo -n "$(basename ${i}): "
+ [[ $expected == $actual ]] && echo 'PASSED' || echo -e "FAILED"
+done
+
+rm test.vapor